Author Topic: Upgrade from v. 1.1.9 to 1.2.3 error, missing file?  (Read 2447 times)

Offline Riin

  • Newbie
  • *
  • Posts: 43
  • Karma: +3/-0
    • View Profile
    • Happy Fuzzy Yarn (wholesale)
Upgrade from v. 1.1.9 to 1.2.3 error, missing file?
« on: September 08, 2015, 05:59:47 PM »
Hi. I first wrote about this in http://forum.abantecart.com/index.php/topic,3951.0.html before I realized the problem was (might be?) I needed to upgrade. I upgraded and got the following error message:

warning: require_once(/home/fairyyar/public_html/happyfuzzyyarn.com/wholesale/core/engine/task.php): failed to open stream: No such file or directory in /home/fairyyar/public_html/happyfuzzyyarn.com/wholesale/core/init.php on line 192compile error: require_once(): Failed opening required '/home/fairyyar/public_html/happyfuzzyyarn.com/wholesale/core/engine/task.php' (include_path='.:/opt/alt/php54/usr/share/pear:/opt/alt/php54/usr/share/php') in /home/fairyyar/public_html/happyfuzzyyarn.com/wholesale/core/init.php on line 192

Upon further investigation I found that there is no task.php file in my core/engine/ folder. Is that something that came in an earlier upgrade? Could you please send me the file?

Thank you!
Riin Gill

Offline webdevmerc

  • Full Member
  • ***
  • Posts: 172
  • Karma: +32/-1
    • View Profile
Re: Upgrade from v. 1.1.9 to 1.2.3 error, missing file?
« Reply #1 on: September 08, 2015, 08:59:12 PM »
Curious, but doing your upgrade, did you upgrade EVERY SINGLE version up to 1.2.3 from 1.1.9?  Sometimes, it maybe easier to just install the new version and export/re-import all your old data.  Please BACKUP FIRST and run it on a test site first so you learn all the "gotcha's" first because things WILL go wrong.

Similar to telling people to backup their own data when I was in IT, if your website crashes, it only affects you and no one really cares (that much  :)  ) and ultimately, you will need to fix it yourself.

Here's the doc on upgrading.
http: //www.abantecart.com/ecommerce-documentation/user-manual/installation/core-upgrade
Admin update: documentation moved to new site http://docs.abantecart.com/pages/upgrade/auto.html

Quote
Important to note, upgrades are available only from prior version to next. If you do not upgrade for long time, you will need to run all upgrades in between. 

There is definitely a task.php file in that folder:
[~/public_html/core/engine]# ls -al task.php
-rwxr-xr-x 1 <domain.com>  <domain.com>  2173 Jul 21 19:34 task.php*


I also only recommend doing the manual upgrades since the auto one never works for me and you don't know what's going on...
« Last Edit: September 09, 2015, 01:30:10 AM by Basara »

 

Powered by SMFPacks Social Login Mod